Name:           tecla
Version:        48.0.2
Release:        1%{?dist}
Summary:        GNOME fuzzy search helper library

License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/tecla
Source0:        https://download.gnome.org/sources/tecla/48/tecla-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel
BuildRequires:  pkgconfig
BuildRequires:  libxkbcommon-devel


Provides:       tecla

%description
Tecla is a fuzzy search library used by GNOME components such as GNOME Control Center.

%prep
%autosetup -n tecla-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/tecla
%{_datadir}/applications/org.gnome.Tecla.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tecla.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tecla-symbolic.svg
%{_datadir}/locale/*/LC_MESSAGES/tecla.mo
%{_datadir}/pkgconfig/tecla.pc

%changelog
%autochangelog
